Name:          telegram
Epoch:         1
Version:       5.12.1
Release:       1mamba
Summary:       The official desktop client for the Telegram messenger
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://telegram.org/
Source:        https://github.com/telegramdesktop/tdesktop/releases/download/v%{version}/tdesktop-%{version}-full.tar.gz
Source1:       telegramdesktop.desktop
Source2:       tg.protocol
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt6Core
BuildRequires: libQt6Gui
BuildRequires: libQt6Network
BuildRequires: libQt6OpenGL
BuildRequires: libQt6Widgets
BuildRequires: libX11-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXrandr-devel
BuildRequires: libXtst-devel
BuildRequires: libabseil-cpp-devel
BuildRequires: libada-devel
BuildRequires: libavcodec-devel
BuildRequires: libavfilter-devel
BuildRequires: libavformat-devel
BuildRequires: libavutil-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libhunspell-devel
BuildRequires: libjemalloc-devel
BuildRequires: libjpeg-turbo
BuildRequires: libkf6-kcoreaddons-devel
BuildRequires: liblz4-devel
BuildRequires: libminizip1-devel
BuildRequires: libopenal-devel
BuildRequires: libopenh264-devel
BuildRequires: libopenssl-devel
BuildRequires: libopus-devel
BuildRequires: libpipewire-devel
BuildRequires: libprotobuf-devel
BuildRequires: librnnoise-devel
BuildRequires: libsrtp-devel
BuildRequires: libstdc++6-devel
BuildRequires: libswresample-devel
BuildRequires: libswscale-devel
BuildRequires: libvpx-devel
BuildRequires: libxcb-devel
BuildRequires: libxcb-keysyms-devel
BuildRequires: libxxhash-devel
BuildRequires: libz-devel
BuildRequires: qt6-qtdeclarative-devel
BuildRequires: qt6-qtsvg-devel
BuildRequires: qt6-qtwayland-devel
## AUTOBUILDREQ-END
BuildRequires: qt6-qtbase-devel >= 0:6.8.2-1mamba
BuildRequires: libada-devel
BuildRequires: libtg_owt-devel >= 0.1.20230105git
BuildRequires: libabseil-cpp-devel >= 20230125.0
BuildRequires: libmicrosoft-gsl-devel
BuildRequires: tl-expected-devel
BuildRequires: librnnoise-devel
BuildRequires: qt6-qt5compat-devel >= 6.7.2
BuildRequires: qt6-qtdeclarative-devel >= 6.7.2
BuildRequires: qt6-qtsvg-devel >= 6.7.2
BuildRequires: qt6-qtwayland-devel >= 6.7.2
BuildRequires: range-v3-devel
Requires:      qt6-qtbase-devel = %{_qt6_version}
Requires:      kconfig
Requires:      qt6-qtimageformats

%description
The official desktop client for the Telegram messenger.

%ifarch aarch64 %{ix86}
%define _lto_cflags %{nil}
%define debug_package %{nil}
%endif

#% global __rm /bin/true

%prep
%setup -q -n tdesktop-%{version}-full
#-D -T

rm -rf Telegram/ThirdParty/libtgvoip/webrtc_dsp/absl

%build
#:<< __EOF
%cmake -d build \
    -G Ninja \
	-DCMAKE_BUILD_TYPE=Release \
    -DTDESKTOP_API_ID=17349 \
    -DTDESKTOP_API_HASH=344583e45741c457fe1862106095a5eb \
    -DTDESKTOP_LAUNCHER_BASENAME="telegramdesktop" \
    -DDESKTOP_APP_SPECIAL_TARGET="" \
%ifarch aarch64 %{ix86}
    -DCMAKE_CXX_FLAGS="-Os -s -Wl,--gc-sections -Wl,--no-keep-memory -fPIC"
%endif

%ifarch x86_64
ninja -j4
%else
ninja -j2
%endif

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

DESTDIR=%{buildroot} ninja -C build install

## FIXME: 
#rm -rf %{buildroot}%{_builddir}/tdesktop*

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post 
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor;
fi
:

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor;
fi
:

%files
%defattr(-,root,root)
%{_bindir}/telegram-desktop
%{_datadir}/applications/org.telegram.desktop.desktop
%{_datadir}/metainfo/org.telegram.desktop.metainfo.xml
%{_datadir}/icons/hicolor/*/apps/telegram.png
%{_datadir}/dbus-1/services/org.telegram.desktop.service
%{_datadir}/icons/hicolor/symbolic/apps/telegram-symbolic.svg
%{_datadir}/icons/hicolor/symbolic/apps/telegram-symbolic.svg
%doc LICENSE LEGAL

%changelog
* Sat Mar 08 2025 Automatic Build System <autodist@openmamba.org> 5.12.1-1mamba
- automatic version update by autodist

* Mon Feb 17 2025 Automatic Build System <autodist@openmamba.org> 5.11.1-1mamba
- automatic version update by autodist

* Tue Feb 04 2025 Automatic Build System <autodist@mambasoft.it> 5.10.7-2mamba
- rebuilt by autoport with build requirements: qt6-qtbase-devel>=0:6.8.2-1mamba

* Wed Jan 29 2025 Automatic Build System <autodist@openmamba.org> 5.10.7-1mamba
- automatic version update by autodist

* Sun Jan 26 2025 Automatic Build System <autodist@openmamba.org> 5.10.6-1mamba
- automatic version update by autodist

* Sun Jan 26 2025 Automatic Build System <autodist@openmamba.org> 5.10.5-1mamba
- automatic version update by autodist

* Thu Jan 23 2025 Automatic Build System <autodist@openmamba.org> 5.10.4-1mamba
- automatic version update by autodist

* Sat Jan 11 2025 Automatic Build System <autodist@openmamba.org> 5.10.3-1mamba
- automatic version update by autodist

* Thu Jan 09 2025 Automatic Build System <autodist@openmamba.org> 5.10.2-1mamba
- automatic version update by autodist

* Tue Jan 07 2025 Automatic Build System <autodist@openmamba.org> 5.10.1-1mamba
- automatic version update by autodist

* Fri Jan 03 2025 Automatic Build System <autodist@openmamba.org> 5.10.0-1mamba
- automatic version update by autodist

* Mon Dec 09 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.0-2mamba
- rebuilt with qt 6.8.1

* Thu Dec 05 2024 Automatic Build System <autodist@openmamba.org> 5.9.0-1mamba
- automatic version update by autodist

* Sun Dec 01 2024 Automatic Build System <autodist@openmamba.org> 5.8.5-1mamba
- automatic version update by autodist

* Fri Nov 29 2024 Automatic Build System <autodist@openmamba.org> 5.8.4-1mamba
- automatic version update by autodist

* Sat Nov 23 2024 Automatic Build System <autodist@openmamba.org> 5.8.3-1mamba
- automatic version update by autodist

* Wed Nov 20 2024 Automatic Build System <autodist@openmamba.org> 5.8.2-1mamba
- automatic version update by autodist

* Mon Nov 18 2024 Automatic Build System <autodist@openmamba.org> 5.8.1-1mamba
- automatic version update by autodist

* Sat Nov 09 2024 Automatic Build System <autodist@openmamba.org> 5.7.2-1mamba
- automatic version update by autodist

* Tue Nov 05 2024 Automatic Build System <autodist@openmamba.org> 5.7.1-1mamba
- automatic version update by autodist

* Mon Oct 21 2024 Automatic Build System <autodist@mambasoft.it> 5.6.3-2mamba
- rebuilt by autoport with build requirements: qt6-qtbase-devel>=0:6.8.0-1mamba

* Wed Oct 16 2024 Automatic Build System <autodist@openmamba.org> 5.6.3-1mamba
- automatic version update by autodist

* Tue Oct 15 2024 Automatic Build System <autodist@openmamba.org> 5.6.2-1mamba
- automatic version update by autodist

* Thu Oct 10 2024 Automatic Build System <autodist@openmamba.org> 5.6.1-1mamba
- automatic version update by autodist

* Sun Jul 07 2024 Automatic Build System <autodist@openmamba.org> 5.2.3-1mamba
- automatic version update by autodist

* Wed Jul 03 2024 Automatic Build System <autodist@openmamba.org> 5.2.2-1mamba
- automatic version update by autodist

* Tue Jul 02 2024 Automatic Build System <autodist@openmamba.org> 5.2.1-1mamba
- automatic version update by autodist

* Mon Jul 01 2024 Automatic Build System <autodist@openmamba.org> 5.2.0-1mamba
- automatic version update by autodist

* Sat Jun 22 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.8-2mamba
- rebuilt with qt 6.7.2

* Mon Jun 17 2024 Automatic Build System <autodist@openmamba.org> 5.1.8-1mamba
- automatic version update by autodist

* Sat Jun 15 2024 Automatic Build System <autodist@openmamba.org> 5.1.7-1mamba
- automatic version update by autodist

* Mon Jun 10 2024 Automatic Build System <autodist@openmamba.org> 5.1.5-1mamba
- automatic version update by autodist

* Tue Jun 04 2024 Automatic Build System <autodist@openmamba.org> 5.1.2-1mamba
- automatic version update by autodist

* Sun Jun 02 2024 Automatic Build System <autodist@openmamba.org> 5.1.1-1mamba
- automatic version update by autodist

* Sat Jun 01 2024 Automatic Build System <autodist@openmamba.org> 5.1.0-1mamba
- automatic version update by autodist

* Fri May 31 2024 Automatic Build System <autodist@openmamba.org> 5.0.6-1mamba
- automatic version update by autodist

* Wed May 29 2024 Automatic Build System <autodist@openmamba.org> 5.0.4-1mamba
- automatic version update by autodist

* Tue May 28 2024 Automatic Build System <autodist@openmamba.org> 5.0.3-1mamba
- automatic version update by autodist

* Sat May 25 2024 Automatic Build System <autodist@openmamba.org> 5.0.2-1mamba
- automatic version update by autodist

* Sun May 05 2024 Automatic Build System <autodist@openmamba.org> 5.0.1-1mamba
- automatic version update by autodist

* Thu May 02 2024 Automatic Build System <autodist@openmamba.org> 5.0.0-1mamba
- automatic version update by autodist

* Sun Apr 28 2024 Automatic Build System <autodist@openmamba.org> 4.16.10-1mamba
- automatic version update by autodist

* Mon Apr 22 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 4.16.8-2mamba
- rebuilt with qt 6.7

* Wed Apr 17 2024 Automatic Build System <autodist@openmamba.org> 4.16.8-1mamba
- automatic version update by autodist

* Wed Apr 17 2024 Automatic Build System <autodist@openmamba.org> 4.16.7-1mamba
- automatic version update by autodist

* Wed Apr 10 2024 Automatic Build System <autodist@openmamba.org> 4.16.6-1mamba
- automatic version update by autodist

* Tue Apr 09 2024 Automatic Build System <autodist@openmamba.org> 4.16.5-1mamba
- automatic version update by autodist

* Mon Apr 08 2024 Automatic Build System <autodist@openmamba.org> 4.16.4-1mamba
- automatic version update by autodist

* Sun Apr 07 2024 Automatic Build System <autodist@openmamba.org> 4.16.2-1mamba
- automatic version update by autodist

* Tue Apr 02 2024 Automatic Build System <autodist@openmamba.org> 4.16.0-1mamba
- automatic version update by autodist

* Mon Apr 01 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 4.15.6-2mamba
- rebuilt with qt6 6.5.3

* Tue Mar 26 2024 Automatic Build System <autodist@openmamba.org> 4.15.6-1mamba
- automatic version update by autodist

* Sun Mar 24 2024 Automatic Build System <autodist@openmamba.org> 4.15.5-1mamba
- automatic version update by autodist

* Wed Mar 13 2024 Automatic Build System <autodist@openmamba.org> 4.15.2-1mamba
- automatic version update by autodist

* Fri Mar 08 2024 Automatic Build System <autodist@openmamba.org> 4.15.1-1mamba
- automatic version update by autodist

* Mon Feb 19 2024 Automatic Build System <autodist@openmamba.org> 4.15.0-1mamba
- automatic version update by autodist

* Sun Feb 11 2024 Automatic Build System <autodist@openmamba.org> 4.14.15-1mamba
- automatic version update by autodist

* Sat Feb 10 2024 Automatic Build System <autodist@openmamba.org> 4.14.14-1mamba
- automatic version update by autodist

* Tue Feb 06 2024 Automatic Build System <autodist@openmamba.org> 4.14.13-1mamba
- automatic version update by autodist

* Sun Feb 04 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 4.14.12-1mamba
- update to 4.14.12

* Sat Jan 20 2024 Automatic Build System <autodist@openmamba.org> 4.14.9-1mamba
- automatic version update by autodist

* Fri Jan 19 2024 Automatic Build System <autodist@openmamba.org> 4.14.7-1mamba
- automatic version update by autodist

* Wed Jan 17 2024 Automatic Build System <autodist@openmamba.org> 4.14.6-1mamba
- automatic version update by autodist

* Wed Jan 17 2024 Automatic Build System <autodist@openmamba.org> 4.14.5-1mamba
- automatic version update by autodist

* Wed Jan 10 2024 Automatic Build System <autodist@openmamba.org> 4.14.4-1mamba
- automatic version update by autodist

* Wed Jan 03 2024 Automatic Build System <autodist@mambasoft.it> 4.14.2-1mamba
- automatic version update by autodist

* Tue Jan 02 2024 Automatic Build System <autodist@mambasoft.it> 4.14.1-1mamba
- automatic version update by autodist

* Tue Dec 26 2023 Automatic Build System <autodist@mambasoft.it> 4.13.1-1mamba
- automatic version update by autodist

* Mon Dec 04 2023 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Wed Nov 15 2023 Automatic Build System <autodist@mambasoft.it> 4.11.8-1mamba
- automatic version update by autodist

* Mon Nov 13 2023 Automatic Build System <autodist@mambasoft.it> 4.11.7-1mamba
- automatic version update by autodist

* Sat Nov 11 2023 Automatic Build System <autodist@mambasoft.it> 4.11.6-1mamba
- automatic version update by autodist

* Tue Nov 07 2023 Automatic Build System <autodist@mambasoft.it> 4.11.5-1mamba
- automatic version update by autodist

* Fri Nov 03 2023 Automatic Build System <autodist@mambasoft.it> 4.11.3-1mamba
- automatic version update by autodist

* Thu Nov 02 2023 Automatic Build System <autodist@mambasoft.it> 4.11.2-1mamba
- automatic version update by autodist

* Sun Oct 29 2023 Automatic Build System <autodist@mambasoft.it> 4.11.1-1mamba
- automatic version update by autodist

* Sun Oct 29 2023 Automatic Build System <autodist@mambasoft.it> 4.11.0-1mamba
- automatic version update by autodist

* Tue Oct 24 2023 Automatic Build System <autodist@mambasoft.it> 4.10.5-1mamba
- automatic version update by autodist

* Tue Oct 03 2023 Automatic Build System <autodist@mambasoft.it> 4.10.3-1mamba
- automatic version update by autodist

* Sun Oct 01 2023 Automatic Build System <autodist@mambasoft.it> 4.10.2-1mamba
- automatic version update by autodist

* Sat Sep 23 2023 Automatic Build System <autodist@mambasoft.it> 4.10.0-1mamba
- automatic version update by autodist

* Wed Sep 20 2023 Automatic Build System <autodist@mambasoft.it> 4.9.9-1mamba
- automatic version update by autodist

* Mon Sep 18 2023 Automatic Build System <autodist@mambasoft.it> 4.9.8-1mamba
- automatic version update by autodist

* Fri Jul 28 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.8.4-2mamba
- rebuilt with qt 6.5.2

* Thu Jun 15 2023 Automatic Build System <autodist@mambasoft.it> 4.8.4-1mamba
- automatic version update by autodist

* Sat Jun 03 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.8.1-2mamba
- rebuilt with qt 6.5.1

* Wed Apr 26 2023 Automatic Build System <autodist@mambasoft.it> 4.8.1-1mamba
- automatic version update by autodist

* Wed Mar 22 2023 Automatic Build System <autodist@mambasoft.it> 4.7.1-1mamba
- automatic version update by autodist

* Mon Mar 20 2023 Automatic Build System <autodist@mambasoft.it> 4.7.0-1mamba
- automatic version update by autodist

* Mon Mar 13 2023 Automatic Build System <autodist@mambasoft.it> 4.6.9-1mamba
- automatic version update by autodist

* Wed Mar 08 2023 Automatic Build System <autodist@mambasoft.it> 4.6.7-1mamba
- automatic version update by autodist

* Thu Feb 16 2023 Automatic Build System <autodist@mambasoft.it> 4.6.3-1mamba
- automatic version update by autodist

* Thu Feb 09 2023 Automatic Build System <autodist@mambasoft.it> 4.6.2-1mamba
- automatic version update by autodist

* Tue Feb 07 2023 Automatic Build System <autodist@mambasoft.it> 4.6.1-1mamba
- automatic version update by autodist

* Tue Feb 07 2023 Automatic Build System <autodist@mambasoft.it> 4.6.0-1mamba
- automatic version update by autodist

* Sat Feb 04 2023 Automatic Build System <autodist@mambasoft.it> 4.5.8-1mamba
- automatic version update by autodist

* Wed Feb 01 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.5.3-1mamba
- downgrade to stable release 4.5.3

* Fri Jan 27 2023 Automatic Build System <autodist@mambasoft.it> 4.5.6-1mamba
- automatic version update by autodist

* Thu Dec 22 2022 Automatic Build System <autodist@mambasoft.it> 4.4.1-1mamba
- automatic version update by autodist

* Thu Nov 10 2022 Automatic Build System <autodist@mambasoft.it> 4.3.1-1mamba
- automatic version update by autodist

* Tue Nov 08 2022 Automatic Build System <autodist@mambasoft.it> 4.3.0-1mamba
- automatic version update by autodist

* Sun Oct 02 2022 Automatic Build System <autodist@mambasoft.it> 4.2.4-1mamba
- automatic version update by autodist

* Sat Oct 01 2022 Automatic Build System <autodist@mambasoft.it> 4.2.3-1mamba
- automatic version update by autodist

* Sun Sep 25 2022 Automatic Build System <autodist@mambasoft.it> 4.2.1-1mamba
- automatic version update by autodist

* Wed Sep 21 2022 Automatic Build System <autodist@mambasoft.it> 4.2.0-1mamba
- automatic version update by autodist

* Tue Sep 13 2022 Automatic Build System <autodist@mambasoft.it> 4.1.1-1mamba
- automatic version update by autodist

* Sun Jul 24 2022 Automatic Build System <autodist@mambasoft.it> 4.0.2-1mamba
- automatic version update by autodist

* Sat Jun 04 2022 Automatic Build System <autodist@mambasoft.it> 3.7.3-1mamba
- automatic version update by autodist

* Fri Jan 21 2022 Automatic Build System <autodist@mambasoft.it> 3.4.8-1mamba
- automatic version update by autodist

* Tue Jan 04 2022 Automatic Build System <autodist@mambasoft.it> 3.4.3-1mamba
- automatic version update by autodist

* Sun Jan 02 2022 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- automatic version update by autodist

* Sat Feb 27 2021 Automatic Build System <autodist@mambasoft.it> 2.6.1-1mamba
- automatic version update by autodist

* Thu Jan 28 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.7-1mamba
- update to 2.5.7

* Wed Dec 23 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.1-1mamba
- update to 2.5.1

* Mon Mar 18 2019 Automatic Build System <autodist@mambasoft.it> 1.5.15-1mamba
- automatic version update by autodist

* Fri Oct 27 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.23-1mamba
- update to 1.1.23

* Tue Sep 13 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.6-1mamba
- update to 0.10.6

* Tue Mar 29 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.33-3mamba
- rebuilt (for latest ffmpeg deps on x86_64)

* Wed Mar 16 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.33-2mamba
- fix build tree organization

* Wed Mar 16 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.33-1mamba
- update to 0.9.33

* Tue Mar 15 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.32-1mamba
- package created using the webbuild interface
%{_kde5_servicesdir}/tg.protocol
